package org.processmining.models.operationalsupport;

import java.util.HashMap;
import java.util.Map.Entry;

public class Analysis {

	private final HashMap<String, Attributes> attributes;
	private String text = "";

	public Analysis(String text) {
		super();
		setText(text);
		attributes = new HashMap<String, Attributes>();
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public Attributes getAttributes(String name) {
		Attributes att = attributes.get(name);
		if (att == null) {
			att = new Attributes();
			attributes.put(name, att);
		}
		return att;
	}

	public Iterable<Entry<String, Attributes>> getAllAttributes() {
		return attributes.entrySet();
	}

	/*
	 * public void print(){ System.out.println(this.getText());
	 * attributes.print(); System.out.println(); }
	 */
}
